Subject: Re: [PATCH v3 2/3] git-push: clean up some of the output from git push --porcelain

From: Larry D'Anna <[email-masked]>
Date: Tue, 9 Feb 2010 11:21:24 -0500

* Junio C Hamano ([email-masked]) [100209 02:31]:
> Larry D'Anna <[email-masked]> writes:
> 
> > * Junio C Hamano ([email-masked]) [100208 17:48]:
> >> *1* As I hinted repeatedly, I think many of them are mere churn, except
> >> for "don't advice porcelain scripts" (good) and perhaps "exit with failure
> >> status upon only this kind of failure" (I am undecided).  
> >
> > What about the "To" lines?  It seems that they really should go to stdout (if
> > --porcelain is selected).  Otherwise, how does the reader of stdout know which
> > refs got pushed to which remote?
> 
> I think that probably is an improvement.
> 
> We would probably need documentation updates to cover the parsing of "To",
> at least; it might be cleaner to have a separate section for porcelain
> writers.  And tests.  But this series won't hit next until 1.7.0 ships so
> we have enough time to polish the details.
> 
> I queued the series and once merged it to 'pu' but seeing some tests fail,
> I reverted the merge.  The error is somewhat curious...

I bisected, and this was introduced by  

6d525d3 receive-pack: Send hook output over side band #2

  --larry